Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-7864

Building mvn site with Maven < 3.0.2 causes OOM errors

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 0.23.0
    • Fix Version/s: 0.23.1
    • Component/s: build
    • Labels:
      None
    • Environment:

      Maven 3.0

    • Hadoop Flags:
      Reviewed

      Description

      If you try to run mvn site with Maven 3.0.0 (and possibly 3.0.1 - haven't actually tested that), you get hit with unavoidable OOM errors. Switching to Maven 3.0.2 or later fixes this. The enforcer should require 3.0.2 for builds.

        Attachments

        1. HADOOP-7864.diff.txt
          0.4 kB
          Eli Collins
        2. HADOOP-7864.diff.txt
          0.4 kB
          Eli Collins
        3. HADOOP-7864.diff.txt
          0.4 kB
          Andrew Bayer

          Activity

            People

            • Assignee:
              abayer Andrew Bayer
              Reporter:
              abayer Andrew Bayer
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: